////////////////////////////////////////////////////
/////// THIS SHADERS BELONG TO THE SPAWN BAY ///////
////////////////////////////////////////////////////
textures/anglee/plafonblue
{
	qer_editorimage textures/anglee/plafon2b.tga
	q3map_lightimage textures/anglee/energyblue.tga	
	q3map_surfacelight 400
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/anglee/plafon2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/anglee/energyblue.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

/////////
textures/anglee/plafonred
{
	qer_editorimage textures/anglee/plafon2r.tga
	q3map_lightimage textures/anglee/energyred.tga	
	q3map_surfacelight 400
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/anglee/plafon2r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/anglee/energyred.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

////////// phooka's Jumppad
textures/anglee/jumpiKIjumpi
{
	qer_editorimage textures/anglee/jppad1.tga
	surfaceparm nodamage
	q3map_lightimage textures/anglee/jppad2.tga	
	q3map_surfacelight 400

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/anglee/jppad1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/anglee/jppad2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

//*******************************************************
//* Phooka's FREEDOM4CATALONIA based on a sky by Demi-God Paul Jaquays! Kudos!
//*******************************************************
textures/anglee/freedom4sky
{
	qer_editorimage textures/skies/pjbasesky

	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512 
	q3map_sun	0.266383 0.274632 0.358662 100 350 75
	q3map_surfacelight 250

	skyparms full 200 -
	
	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.015 0.016
		tcMod scale 3 3
		depthWrite
	}
	{
		map textures/skies/pjbasesky.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.01 -0.012
		tcMod scale 5 5
	}
}

// directional arrows
textures/anglee/bluearrow
{
	qer_editorimage textures/anglee/blueline1.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/anglee/blueline1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/anglee/blueline_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/anglee/redarrow
{
	qer_editorimage textures/anglee/redline1.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/anglee/redline1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/anglee/redline_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}